| Home | Libraries | People | FAQ | More

## Struct erased_type

boost::container::erased_type

## Synopsis

    // In header: <boost/container/uses_allocator_fwd.hpp>

    struct erased_type {
    };

## Description

The `erased_type` struct is an empty struct that serves as a placeholder for a type T in situations where the actual type T is determined at runtime. For example, the nested type, `allocator_type`, is an alias for `erased_type` in classes that use type-erased allocators.